module.exports = ((name, options)=>{

    return {
      reposervers : [
          'http://git.bbh'
        , 'https://git.bbh.org.in'
        , '//172.16.0.27/repos'
				, 'https://github.com'
      ]

      // User can always add more branches and remotes as needed. Mainifest only occupies 
        // well defined namespaces
      , remotes : [
				  // these are both fetch and push remotes. Use push - remotes to override push.
          { 'chess' : `${options.reposerver}/chess/elxr.git` }
        , { 'public-github-baptistdev' : 'https://github.com/baptistdev/elxr.git' }
				
				// Multiple urls dont tell us the current origin which may be 
				// different based on currently available/accessible based on device and client.
				// We just treat them as different remotes and merge as needed.
        // 
        , { 'origin' : `${options.reposerver}/${options.repouser}/elxr.git` }
				, { 'origin-public' : `https://git.bbh.org.in/${options.repouser}/elxr.git` }
				, { 'origin-unc' : `//172.16.0.27/repos/${options.repouser}/elxr.git` }
      ]

			, 'push-remotes' : [
						{ 'chess' : 'no-pushing' }
					, { 'public-baptistdev' : 'no-pushing' }
					, { 'public-origin' : 'no-pushing' }
				]
			
			
			// , 'fetch-remotes' : [] // Multiple fetch remotes are not supported by git.
				// We therefore need to use 
				// - a pullall 
				// - or branch alias for multiple remote branch tracking branch strategy.
				// 		-- This is however limited to corresponding branch names 

      // tracking branches.
			// We at least need one branch for each remote that we wish to track.
      // , 'tracking-branches' : [
      //   { master : ['origin/master', 'chess/master'] }
      // ]
    }
  })